<section>
  <h2>Kata Panier</h2>
  <div class="app-products-header">
    <nz-select
      [(ngModel)]="selectedCategories"
      nzAllowClear
      nzMode="multiple"
      nzPlaceHolder="Catégorie">
      <nz-option
        *ngFor="let category of productCategory"
        [nzValue]="category"
        [nzLabel]="category"
      />
    </nz-select>
    <span>Panier<ng-container [ngTemplateOutlet]="linkToCart" /></span>
  </div>
  <div class="app-products-list">
    <app-product
      *ngFor="let product of (products$ | async)! | filterBy: 'category' : selectedCategories"
      [product]="product"
      (productAdded)="addToCart($event)"
    />
  </div>
</section>

<ng-template #linkToCart>
  <ng-container *ngIf="productInCart.size > 0">
    <a [routerLink]="['/cart']"> {{ productInCart.size }}</a>
  </ng-container>
</ng-template>
